Subject: Re: next June 10: S390 build failure [arch/s390/kvm/kvm.ko]

From: Avi Kivity <[email-masked]>
Date: Wed, 23 Jun 2010 12:04:36 +0300

On 06/23/2010 07:33 AM, Sachin Sant wrote:
> Christian Borntraeger wrote:
>> Am Donnerstag 10 Juni 2010, 15:48:48 schrieb Martin Schwidefsky:
>>> On Thu, 10 Jun 2010 18:08:15 +0530
>>> Sachin Sant <[email-masked]> wrote:
>>>
>>>> Today's next fails to build on a s390 box with
>>>>
>>>> ERROR: "__kvm_s390_vcpu_store_status" [arch/s390/kvm/kvm.ko] 
>>>> undefined!
>>>>
>>>> Yesterday's next was good.
>>> That is caused by git commit fbc5eec58e652339e9df1332cd5e10e8d8250aaf
>>> which fails to take git commit 5288fbf0ef041ba0e8b4dcb2df4536b5e3a48b32
>>> into account. There is a second caller of __kvm_s390_vcpu_store_status
>>> in arch/s390/kvm/intercept.c. As far as I understand the code you could
>>> just drop the 'static' from kvm_s390_vcpu_store_status and call it from
>>> handle_stop instead of the old __kvm_s390_vcpu_store_status.
>>>
>>> Carsten, Christian: could one of you have a look please?
>>
>> that patch should do the trick. Avi can you add that to kvm.git?
>>
>> kvm-s390: Fix build failure 
> ping on the patch. Still not merged with next.

Missed it somehow.  Now applied to kvm.git next and kvm-updates/2.6.36 
(which is the linux-next queue).

-- 
error compiling committee.c: too many arguments to function